
Redmine - Feature #1342

Global versions roadmap

2008-06-01 14:11 - Yonni Mendes

Status: New Start date: 2008-06-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Similar to the approach used with "My assigned tasks" - a global roadmap page that allows all versions of the projects the user is a

member of, to be listed by due dates.

In a multi-project environment this can really help create some order with the various releases and give the user a general idea of

what's to be released.

Related issues:

Related to Redmine - Feature #8099: multiple project status summary page New 2011-04-08

Related to Redmine - Patch #9697: Projects list with progress Resolved

Related to Redmine - Feature #7956: Show Roadmap tab when subprojects have de... Closed 2011-03-22

History

#1 - 2008-06-02 16:58 - Carl Nygard

See #1043.  The patch provides "My Calendar" which shows milestone and assigned-to-me issue information across all projects of which one is a

member.

#2 - 2008-06-02 18:35 - Yonni Mendes

This only partially meets the requirements - it is limited to a single month in scope. It's not uncommon for me to have multiple projects with multiple

versions across a period of 2-3 months which I'd like to be able to see - to draw estimates on timeline impacts for the various projects and actually

view development for a broader (infinite?) expanse of time...

#3 - 2008-07-03 16:56 - Michael Härtig

I would agree and add a new scope of using this:

We use a main project for our development (standard software, but with individual feature requests from customers). There are some subprojects

(one for each customer and one for standard development). So I added tickets to the subprojects. In the main I can see all tickets, but only in ticket

view. So my wish is to see these tickes (features) in a global project roadmap. So I can see the features for a complete realese (standard and

customer features).

#4 - 2008-07-03 17:17 - Paul Rivier

see also #465 for some more general scope of versions

#5 - 2008-10-02 02:27 - Thomas Capricelli

+2 !

Yes, this indeed would be very useful to us.

#6 - 2009-12-06 11:25 - Jean-Philippe Lang

- Category set to Roadmap

#7 - 2011-04-26 10:07 - Etienne Massip

- Target version set to Candidate for next major release

#8 - 2011-04-27 16:08 - Fede Garcia

+1
#9 - 2011-05-31 11:08 - Radek Karban

+1

#10 - 2011-12-08 07:09 - Alexander Alexeev

+100

We also need this feature with some changes.

In global roadmap, as described above, we need also to get availability to filter versions by date.

We want to see all version and versions with non empty dates only.

#11 - 2012-02-23 21:26 - Dmitry Babenko

See patch #9697, seems it implements this feature.

#12 - 2012-12-18 18:16 - Dmitry Babenko

Progressive Projects List plugin solves this issue.

#13 - 2020-05-29 01:34 - Go MAEDA

- Related to Feature #7956: Show Roadmap tab when subprojects have defined versions added
